# OpticalCalibration

## Brief Description

Perform optical calibration TOA/TOC (Top Of Atmosphere/Top Of Canopy). Supported sensors: QuickBird, Ikonos, WorldView2, Formosat, Spot5, Pleiades

## Tags

Calibration

## Long Description

The application allows converting pixel values from DN (for Digital Numbers) to physically interpretable and comparable values. Calibrated values are called surface reflectivity and its values lie in the range [0, 1]. The first level is called Top Of Atmosphere (TOA) reflectivity. It takes into account the sensor gain, sensor spectral response and the solar illumination. The second level is called Top Of Canopy (TOC) reflectivity. In addition to sensor gain and solar illumination, it takes into account the optical thickness of the atmosphere, the atmospheric pressure, the water vapor amount, the ozone amount, as well as the composition and amount of aerosol gasses. It is also possible to indicate an AERONET file which contains atmospheric parameters (version 1 and version 2 of Aeronet file are supported.

## Parameters

- [param] -in <string> Input image filename (values in DN). Mandatory: True. Default Value: ""
- [param] -out <string> Output calibrated image filename. Mandatory: True. Default Value: ""
- [param] -ram <int32> Available memory for processing (in MB). Mandatory: False. Default Value: "128"
- [param] -milli <boolean> Flag to use milli-reflectance instead of reflectance. This allows saving the image with integer pixel type (in the range [0, 1000] instead of floating point in the range [0, 1]. In order to do that, use this option and set the output pixel type (-out filename uint16 for example). Mandatory: False. Default Value: "True"
- [param] -clamp <boolean> Clamping in the range [0, 100]. It can be useful to preserve area with specular reflectance.. Mandatory: False. Default Value: "True"
- [param] -rsr <string> Sensor relative spectral response file By default the application gets these information in the metadata. Mandatory: False. Default Value: ""
- [param] -atmo <string> This group allows setting the atmospheric parameters.. Mandatory: True. Default Value: "0"
- [param] -radius <int32> Window radius for adjacency effects corrections. Mandatory: False. Default Value: "2"
[choice] -level toa,toc. Mandatory: True. Default Value: "toa"

- [group] -toa

- [group] -toc

## Limitations

None

## Authors

OTB-Team

## See Also

The OTB CookBook

## Example of use

- in: QB_1_ortho.tif

- level: toa

- out: OpticalCalibration.tif